org.eclipse.wst.jsdt.chromium.debug.core.util

## Class RangeBinarySearch

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.RangeBinarySearch

    public class RangeBinarySearch
    extends java.lang.Object

Binary search algorithm implementation. Unlike `Collection#binarySearch`, its input model (`RangeBinarySearch.Input`) never requires that list elements are presented as Java objects.

### Nested Class Summary

Nested Classes
`static interface` `RangeBinarySearch.Input` An algorithm input model.

### Constructor Summary

Constructors
Constructor and Description
`RangeBinarySearch()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `find(RangeBinarySearch.Input input)` For the input finds a range that contains the point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeBinarySearch

    public RangeBinarySearch()

### Method Detail

#### find

    public static int find(RangeBinarySearch.Input input)

For the input finds a range that contains the point.

Returns:
  index 0-base range number.